#
# spec file for package yast2-nfs-server (Version 2.9.9)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  yast2 yast2-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db4 MAKEDEV diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-common gpm grep groff gzip info chkconfig kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netconfig openldap-clients openssl pam patch  popt procinfo procps psmisc shadow-utils rcs readline sed strace sysklogd SysVinit tar tcp_wrappers texinfo tzdata unzip util-linux vim-common zlib zlib-devel autoconf automake binutils curl dejagnu doxygen expect gcc gdbm gettext libtool liby2util liby2util-devel openslp openslp-devel perl perl-XML-Writer perl-gettext  rpm tcl update-desktop-files yast2 yast2-core yast2-core-devel yast2-devtools yast2-packagemanager yast2-packagemanager-devel yast2-perl-bindings yast2-testsuite suse-macros

Name:         yast2-nfs-server
Version:      2.9.9
Release:      23.1
License:      GPL
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-nfs-server-2.9.9.tar.bz2
prefix:		/usr
Requires:     yast2 yast2-packager
Provides:     yast2-config-nfs-server yast2-config-nfs-server-devel
Obsoletes:    yast2-config-nfs-server yast2-config-nfs-server-devel
Provides:     yast2-trans-nfs-server
Obsoletes:    yast2-trans-nfs-server
Provides:     yast2-config-network:/usr/lib/YaST2/clients/lan_nfs_server.ycp
BuildArchitectures:	noarch
Summary:      YaST2 - NFS Server Configuration

%description
The YaST2 component for configuration of an NFS server. NFS stands for
network file system access. It allows access to files on remote
machines.



Authors:
--------
    Dan Vesely <dan@suse.cz>
    Martin Vidner <mvidner@suse.cz>

%prep
%setup -n yast2-nfs-server-2.9.9

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
#g++32 can't support mtune parameter
RPM_OPT_FLAGS=`echo "$RPM_OPT_FLAGS" | sed -e 's/-mtune=pentium4//'`
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
CC=gcc32 CXX=g++32 ./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/nfs_server
/usr/share/YaST2/include/nfs_server/*
/usr/share/YaST2/clients/nfs-server.ycp
/usr/share/YaST2/clients/nfs_server.ycp
/usr/share/YaST2/clients/nfs_server_auto.ycp
/usr/share/YaST2/modules/NfsServer.ycp
/usr/share/YaST2/modules/NfsServer.ybc
%{prefix}/share/applications/YaST2/nfs_server.desktop
/usr/share/YaST2/scrconf/etc_exports.scr
/usr/lib/YaST2/servers_non_y2/ag_exports
%doc %{prefix}/share/doc/packages/yast2-nfs-server

%changelog -n yast2-nfs-server
* Mon Mar 12 2007 - pearly.zhao@oracle.com
- Port to RHEL/EL
* Fri Apr 02 2004 - mvidner@suse.cz
- changed license to GPL
- 2.9.9
* Mon Mar 15 2004 - mvidner@suse.cz
- fixed canceling Abort (#35991)
- re-enabled testsuite
- 2.9.8
* Wed Mar 10 2004 - kkaempf@suse.de
- disable testsuite
- 2.9.7
* Wed Mar 10 2004 - sh@suse.de
- V 2.9.6
- Migration to new wizard
* Tue Mar 09 2004 - lslezak@suse.cz
- use Service::, Sequencer::
- set icon
- testsuite update
- version 2.9.5
* Sun Mar 07 2004 - kkaempf@suse.de
- fix testsuite
* Fri Mar 05 2004 - mvidner@suse.cz
- added typing information (lslezak)
- 2.9.3
* Mon Feb 09 2004 - lslezak@suse.cz
- NfsServer.ycp - fixed data type
- removed *.y2cc file
- version 2.9.2
* Fri Jan 30 2004 - mvidner@suse.cz
- Adapted for the new interpreter (jhumpol)
- 2.9.1
* Fri Nov 21 2003 - lslezak@suse.cz
- use UI:: file popup
- fixed nonroot build (mvidner)
- version 2.9.0
* Tue Sep 16 2003 - nashif@suse.de
- Dont show help messages during autoinstallation
- 2.8.7
* Fri Sep 12 2003 - nashif@suse.de
- #30291: return list of required packages for autoinstallation
- 2.8.6
* Fri Sep 05 2003 - lslezak@suse.cz
- merged text from proofread
- version 2.8.5
* Fri Aug 22 2003 - nashif@suse.de
- return required packages during autoinstallation
* Thu Aug 14 2003 - jsuchome@suse.cz
- removed confirmation dialog, success dialog and added writing
  progress dialog (#28729)
- 2.8.3
* Mon Aug 04 2003 - mvidner@suse.cz
- Added desktop file (supersedes y2cc file).
- 2.8.2
* Wed Jul 23 2003 - mvidner@suse.cz
- Autoinst: if start_nfsserver is false, write /etc/exports anyway
  (for heartbeat, #27001).
- Using Label, Popup, Require.
- 2.8.1
* Mon Mar 03 2003 - mvidner@suse.de
- Import accepts empty list and can reset settings (#24544).
- Don't set Mode::config to true in _auto clients (nashif).
- 2.7.4
* Mon Feb 17 2003 - mvidner@suse.de
- Changed _auto::Result to Export (nashif).
- 2.7.2
* Mon Feb 03 2003 - mvidner@suse.de
- Added Read to _auto (nashif).
- 2.7.1
* Mon Jan 20 2003 - mvidner@suse.de
- Using the new *_auto dispatcher (nashif).
- Added function key shortcuts.
- Fixed export options checking (phadraba).
- Prevent agent from returning strings as integers/booleans (~#21804).
- 2.7.0
* Mon Sep 09 2002 - nashif@suse.de
- Implemented WriteOnly to 'only' write configuration without
  actuallu activating any services
- 2.6.13
* Fri Sep 06 2002 - mvidner@suse.cz
- If nfslock is present, enable/start it along with nfsserver (#18952).
- Options popup widened so that in ncurses "ro,root_squash,sync" fits in.
- Fixed truncated buttons in ncurses.
- 2.6.12
* Mon Aug 26 2002 - mvidner@suse.cz
- Adapted for the new packagemanager.
- 2.6.11
* Fri Aug 09 2002 - mvidner@suse.cz
- Explicitly set sync, the new default of nfs-utils-1.0.1,
  so that exportfs does not produce a warning.
- Let the table keep the keyboard focus (#16116 workaround).
- Report Runlevel::error_msg if enabling a service fails.
- Make "yast2 nfs-server" invoke "yast2 nfs_server" (#17570).
- 2.6.10
* Mon Aug 05 2002 - mvidner@suse.cz
- Added autoyast interface (nashif).
- 2.6.9
* Mon Jul 29 2002 - mvidner@suse.cz
- After adding a directory to be exported, the restriction dialog
  pops up automatically, with explicit defaults: "*" and "ro,root_squash".
- WM close button means to abort.
- Added missing comments for translators.
- 2.6.8
* Fri Jul 19 2002 - mvidner@suse.cz
- Errors when creating directories are non fatal, so don't abort writing.
- Merged proofread texts.
- 2.6.7
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Fri Jul 12 2002 - mvidner@suse.cz
- Fixed dependencies, using devtools 2.6.6.
- 2.6.5
* Thu Jul 04 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Fri Jun 28 2002 - mvidner@suse.cz
- Renamed to "yast2-nfs-server"
- menuentries -> config
- 2.6.2
* Wed Apr 24 2002 - mvidner@suse.cz
- Check that the exported directory exists and ask if it should be created.
- Better /etc/exports handling:
  Don't insert \\\n (#15937)
  Handle spaces in paths (allowed only for the kernel based server) (#15524)
- Use * to mean all clients only if using the kernel based server.
  The user mode server still needs an empty string to mean that.
- Fix for automake 1.6
- 2.6.1
* Thu Feb 07 2002 - mvidner@suse.cz
- Allow also the user mode nfs-server.
- Sometimes buttons were not enabled.
- Added SetFocus to input popups.
- Had the English texts proofread.
- 2.5.7
* Mon Jan 21 2002 - mvidner@suse.cz
- Using Wizard module.
- Moved etc_exports.scr from yast2-agent-any.
- Keyboard shortcut fixes.
- 2.5.6
* Wed Jan 09 2002 - mvidner@suse.cz
- Removed old menu entry. (2.5.5)
* Tue Dec 18 2001 - mvidner@suse.cz
- Using Report module for errors.
- New style menu entry.
- 2.5.4
* Thu Nov 29 2001 - mvidner@suse.cz
- Converted to a Module.
- Using y2automake and create-spec.
- 2.5.3
* Tue Nov 13 2001 - mvidner@suse.cz
- Added default values for lookups.
- 2.5.2
* Thu Oct 11 2001 - mvidner@suse.cz
- Better export options checking; default options are nonempty ("*()")
  to avoid warnings. (#11615)
- 2.5.1
* Thu Sep 20 2001 - mvidner@suse.cz
- Leave disabled the Add host button until a mount point is selected
  that the host will apply to. (#11075)
- Allow empty export options (parens are supplied automatically) (#11076);
  empty host wildcard is translated to "*".
- 2.4.11
* Mon Sep 03 2001 - mvidner@suse.cz
- Start portmap only if not running already (Bug #9999). (2.4.10)
* Fri Aug 31 2001 - ro@suse.de
- added <libycp-devel> to neededforbuild (for testsuite)
* Tue Aug 28 2001 - mvidner@suse.cz
- Fixed a truncated table label (#9907). (2.4.8)
* Thu Aug 23 2001 - mvidner@suse.cz
- Added documentation in a devel subpackage (2.4.7)
* Tue Aug 21 2001 - mvidner@suse.cz
- Only one <p> per string.
- Switched from START_* to runlevel_adjust.
- 2.4.6
* Tue Aug 07 2001 - mvidner@suse.cz
- Changed from RPM Requires to require.ycp.
- 2.4.5
* Mon Jul 30 2001 - mvidner@suse.cz
- Turned off autoheader.
- Added an Abort button.
- Parentheses are filtered from exports options, this time correctly.
- Replaced _("&OK") by OKButtonLabel() etc.
- Unified the buttons to Add-Edit-Delete.
- Made keyboard shortcuts unique.
- version 2.4.4
* Tue Jul 24 2001 - mvidner@suse.cz
- Fixed a stupid error in the specfile.
- version 2.4.3
* Mon Jul 23 2001 - mvidner@suse.cz
- Fixed calling the writing function. Fixed obsolete Shell call.
- Requires nfs-utils.
- Parentheses are filtered from exports options.
- version 2.4.2
* Thu Jul 19 2001 - msvec@suse.cz
- correct textdomain
- correct provides
- version 2.4.1
* Wed Jul 18 2001 - msvec@suse.cz
- split of the yast2-config-network
- version 2.4.0
